Subject: Re: bug#7626: 23.2.91; Rmail shows incorrect message encoding in the mode line

From: Kenichi Handa <[email-masked]>
Date: Mon, 17 Jan 2011 20:35:38 +0900

In article <[email-masked]>, Eli Zaretskii <[email-masked]> writes:

> > Rmail-mime does not perform file I/O, but decodes a text
> > that is already stored in a mbox buffer.

> But the mbox format uses Unix EOLs.

On Windows too?  I didn't know that.

> In fact, Rmail will barf if you
> say "C-u g FILE RET", and FILE has DOS EOLs.  So the EOL format is
> known in advance in this case.

Are you arguing that typing 'o' (rmail-output) will write
DOS EOL file when EOL type of buffer-file-coding-system of
rmail buffer is undecided and the system_eol_type is DOS?
Then, isn't it a bug of rmail-output?

The reason I decided to leave EOL type undecided is for the
case of M-x write-region on rmail buffer.  In that case, I
think, following system_eol_type is the right thing.

---
Kenichi Handa
[email-masked]